Subject: Re: [Bitcoin-development] New side channel attack that can recover Bitcoin keys

From: Pieter Wuille <[email-masked]>
Date: Wed, 5 Mar 2014 13:56:05 +0100

On Wed, Mar 5, 2014 at 1:49 PM, Mike Hearn <[email-masked]> wrote:
> I am not currently aware of any efforts to make OpenSSL's secp256k1
> implementation completely side channel free in all aspects. Also,
> unfortunately many people have reimplemented ECDSA themselves and even if
> OpenSSL gets fixed, the custom implementations probably won't.

As far as I know, judging from the implementation, there is hardly any
effort to try to prevent timing attacks.

-- 
Pieter